Package org.apache.sysds.hops

## Enum OptimizerUtils.MemoryManager

- java.lang.Object
- - java.lang.Enum<OptimizerUtils.MemoryManager>
  - - org.apache.sysds.hops.OptimizerUtils.MemoryManager

All Implemented Interfaces:
  `Serializable`, `Comparable<OptimizerUtils.MemoryManager>`

Enclosing class:
  OptimizerUtils

    public static enum OptimizerUtils.MemoryManager
    extends Enum<OptimizerUtils.MemoryManager>

Memory managers (static partitioned, unified)

### Enum Constant Summary

Enum Constants
`STATIC_MEMORY_MANAGER`
`UNIFIED_MEMORY_MANAGER`

### Method Summary

All Methods Static Methods Concrete Methods
`static OptimizerUtils.MemoryManager` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static OptimizerUtils.MemoryManager[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STATIC_MEMORY_MANAGER

    public static final OptimizerUtils.MemoryManager STATIC_MEMORY_MANAGER

#### UNIFIED_MEMORY_MANAGER

    public static final OptimizerUtils.MemoryManager UNIFIED_MEMORY_MANAGER

### Method Detail

#### values

    public static OptimizerUtils.MemoryManager[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OptimizerUtils.MemoryManager c : OptimizerUtils.MemoryManager.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OptimizerUtils.MemoryManager valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null